/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50538
Source Host           : localhost:3306
Source Database       : sap

Target Server Type    : MYSQL
Target Server Version : 50538
File Encoding         : 65001

Date: 2020-01-19 18:13:11
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for sap_org
-- ----------------------------
DROP TABLE IF EXISTS `sap_org`;
CREATE TABLE `sap_org` (
  `id` varchar(255) NOT NULL,
  `parentId` varchar(255) DEFAULT NULL,
  `sapCode` varchar(255) DEFAULT NULL,
  `sapName` varchar(255) DEFAULT NULL,
  `level` varchar(255) DEFAULT NULL,
  `wxDepartId` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for sap_user
-- ----------------------------
DROP TABLE IF EXISTS `sap_user`;
CREATE TABLE `sap_user` (
  `userId` varchar(50) NOT NULL,
  `personId` varchar(255) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `firstOrgId` varchar(255) DEFAULT NULL,
  `secondOrgId` varchar(255) DEFAULT NULL,
  `thirdOrgId` varchar(255) DEFAULT NULL,
  `fourthOrgId` varchar(255) DEFAULT NULL,
  `firstOrgName` varchar(255) DEFAULT NULL,
  `secondOrgName` varchar(255) DEFAULT NULL,
  `thirdOrgName` varchar(255) DEFAULT NULL,
  `fourthOrgName` varchar(255) DEFAULT NULL,
  `firstOrgWxDepartId` int(10) DEFAULT NULL,
  `secondOrgWxDepartId` int(10) DEFAULT NULL,
  `thirdOrgWxDepartId` int(10) DEFAULT NULL,
  `fourthOrgWxDepartId` int(10) DEFAULT NULL,
  `position` varchar(255) DEFAULT NULL,
  `formatPosition` varchar(255) DEFAULT NULL,
  `mobile` varchar(255) DEFAULT NULL,
  `formatMobile` varchar(255) DEFAULT NULL,
  `businessPhone` varchar(255) DEFAULT NULL,
  `formatBusinessPhone` varchar(255) DEFAULT NULL,
  `gender` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `formatEmail` varchar(255) DEFAULT NULL,
  `isPrimary` int(1) DEFAULT NULL,
  `result` varchar(500) DEFAULT NULL,
  `delFlag` varchar(255) DEFAULT NULL,
  `createDate` datetime DEFAULT NULL,
  `sortNumber` int(10) DEFAULT NULL,
  PRIMARY KEY (`userId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
